package cn.estsh.i3plus.pojo.wms.repository;

import cn.estsh.i3plus.pojo.base.jpa.dao.BaseRepository;
import cn.estsh.i3plus.pojo.wms.bean.WmsMoveSn;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

/**
 * @Description : 库存移动单条码信息
 * @Reference :
 * @Author : amy
 * @CreateDate : 2018-11-18 15:24
 * @Modify:
 **/
@Repository
public interface WmsMoveSnRepository extends BaseRepository<WmsMoveSn, Long> {

    @Query("select count(id) from WmsMoveSn where destLocateNo = :destLocateNo and itemStatus in (:createStatus,:dealStatus)" +
            " and organizeCode = :organizeCode and isValid = :isValid and isDeleted = :isDeleted")
    int getCountByLocateNoAndStatus(@Param("destLocateNo")String destLocateNo,@Param("createStatus")String createStatus,
                                    @Param("dealStatus")String dealStatus,@Param("organizeCode")String organizeCode,
                                    @Param("isValid")int isValid, @Param("isDeleted")int isDeleted);

}
